Bug 478440 - Compiz conflict with Sun Gridengine software .
Compiz conflict with Sun Gridengine software .
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-29 22:32 EST by maluyao
Modified: 2009-12-18 02:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:26:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description maluyao 2008-12-29 22:32:40 EST
Description of problem:

Compiz conflict with Sun Gridengine software .

After install Gridengine, the  /usr/lib64/libcore.so file exist. 
while run desktop-effects comand it show :
"
compiz (core) - Error: dlsym: /usr/lib64/libcore.so: undefined symbol: getCompPluginInfo20070830
compiz (core) - Error: Couldn't load plugin 'core'
compiz (core) - Fatal: Couldn't load core plugin
gtk-window-decorator: Screen 0 on display ":0.0" already has a decoration manager; try using the --replace option to replace the current decoration manager.

"
Version-Release number of selected component (if applicable):


How reproducible:

Install gridengine and enable 3D desktop by desktop-effects command.

Steps to Reproduce:
1.  yum install gridengine*
2. desktop-effects
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom King 2009-01-06 12:56:09 EST
I concur. Happens with 32bit version as well.

In src/plugin.c, the search path for compiz plugins is ~/.compiz/plugins/ followed by default search path (called with dlopen).

Shouldn't it explicitly check /usr/lib/compiz then give up?

Compiz's notion of libcore.so doesn't need to exist for compiz to work in F10 and I'm not even sure whether core is a current compiz module or not, though the current default setup seems to list it in the gconf-editor, though I defer to others in the know on this. Removing references to it doesn't seem to get compiz to work.

In a roundabout way I'm saying I don't think this is a configuration issue but an upstream problem.

T
Comment 2 Matěj Cepl 2009-01-20 06:04:13 EST
(In reply to comment #1)
> In src/plugin.c, the search path for compiz plugins is ~/.compiz/plugins/
> followed by default search path (called with dlopen).
> 
> Shouldn't it explicitly check /usr/lib/compiz then give up?

Yes, most likely. Assigning to developers.
Comment 4 Matěj Cepl 2009-11-17 07:01:37 EST
Switching incorrect assignees to the default one.
Comment 5 Bug Zapper 2009-11-18 05:36:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:26:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.